Subject: Re: [bug#67056] [PATCH] gnu: d-tools: Update to 2.105.3

From: Hugo Nobrega <[email-masked]>
Date: Wed, 6 Dec 2023 18:13:33 -0300

Ludovic Courtès <[email-masked]> wrote:

> ‘dub’ now fails to build like so:
>
> [..]
>
> Next task I guess?  :-)
>

Done! o7
It was another very simple version bump.

Best wishes,
Hugo

On Sat, Dec 2, 2023 at 8:24 AM Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Hugo Nobrega <[email-masked]> skribis:
>
> > The previous version 2.100 was failing in `check` due to changes to the
> Phobos stdlib
> >
> > Change-Id: Id9e4580d555c735fb0eebe880928ef2f558f959e
>
> Applied!
>
> ‘dub’ now fails to build like so:
>
> --8<---------------cut here---------------start------------->8---
> starting phase `build'
> Using pre-existing version file. To force a rebuild, provide an explicit
> version (first argument) or remove:
> /tmp/guix-build-dub-1.23.0.drv-0/source/./source/dub/version_.d
> Building dub using ldmd2 (dflags: ["-g", "-O", "-w"]), this may take a
> while...
> Command `["ldmd2", "-of/tmp/guix-build-dub-1.23.0.drv-0/source/./bin/dub",
> "-I/tmp/guix-build-dub-1.23.0.drv-0/source/./source",
> "-version=DubUseCurl", "-version=DubApplication", "-g", "-O", "-w",
> "@build-files.txt"]` failed, output was:
> source/dub/dependency.d(782): Deprecation: usage of the `body` keyword is
> deprecated. Use `do` instead.
> source/dub/packagemanager.d(275): Deprecation: usage of the `body` keyword
> is deprecated. Use `do` instead.
> source/dub/semver.d(107): Deprecation: usage of the `body` keyword is
> deprecated. Use `do` instead.
> source/dub/internal/sdlang/parser.d(121): Deprecation: module std.variant
> is not accessible here, perhaps add 'static import std.variant;'
> source/dub/internal/sdlang/parser.d(121): Deprecation: module std.variant
> is not accessible here, perhaps add 'static import std.variant;'
> Serializing composite type BuildRequirements which has no serializable
> fields
> Serializing composite type BuildOptions which has no serializable fields
> source/dub/packagesuppliers/maven.d(82): Error: unable to read module `xml`
> source/dub/packagesuppliers/maven.d(82):        Expected 'std/xml.d' or
> 'std/xml/package.d' in one of the following import paths:
> import path[0] = /tmp/guix-build-dub-1.23.0.drv-0/source/./source
> import path[1] =
> /gnu/store/wwjmq2wpa50xjj7irai5ln838krh7cgk-ldc-1.32.2/include/d
>
> error: in phase 'build': uncaught exception:
> %exception #<&invoke-error program: "./build.d" arguments: () exit-status:
> 1 term-signal: #f stop-signal: #f>
> phase `build' failed after 4.8 seconds
> --8<---------------cut here---------------end--------------->8---
>
> Next task I guess?  :-)
>
> Thanks,
> Ludo’.
>